diff --git python-liblarch/python-liblarch.spec python-liblarch/python-liblarch.spec.tmp
index fc221f7b53..b3bbe1c698 100644
--- python-liblarch/python-liblarch.spec
+++ python-liblarch/python-liblarch.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-liblarch
 Version:        2.1.0
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Data structures helper library for python
 
 License:        LGPLv3+
@@ -9,12 +9,20 @@ Source0:        https://github.com/liblarch/liblarch/archive/v%{version}.tar.gz
 
 BuildArch:      noarch
 BuildRequires:  python2-devel
-Requires:       pygobject2
 
-%description
-Liblarch is a python library built to easily handle data structure such as
-lists, trees and directed acyclic graphs.
+%global _description\
+Liblarch is a python library built to easily handle data structure such as\
+lists, trees and directed acyclic graphs.\
+
+
+%description %_description
 
+%package -n python2-liblarch_gtk
+Summary: %summary
+Requires:       pygobject2
+%{?python_provide:%python_provide python2-liblarch_gtk}
+
+%description -n python2-liblarch_gtk %_description
 
 %package -n python-liblarch_gtk
 Summary:        Liblarch gtk binding for use in Gtk.Treeview
@@ -43,7 +51,7 @@ rm -rf $RPM_BUILD_ROOT
 #make test
 
  
-%files
+%files -n python2-liblarch_gtk
 %doc AUTHORS LICENSE README examples
 %{python_sitelib}/liblarch/
 %{python_sitelib}/liblarch*egg-info
@@ -55,6 +63,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1.0-11
+- Python 2 subpackage renamed to python2-liblarch
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-libpagure/python-libpagure.spec python-libpagure/python-libpagure.spec.tmp
index c10c037a66..7f33524768 100644
--- python-libpagure/python-libpagure.spec
+++ python-libpagure/python-libpagure.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-libpagure
 Version:        0.9
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        A Python library for Pagure APIs
 Group:          Applications/Internet
 License:        GPLv2+
@@ -18,10 +18,17 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
+%global _description\
+A Python library for Pagure APIs
+
+%description %_description
+
+%package -n python2-libpagure
+Summary: %summary
 Requires:  python-requests
+%{?python_provide:%python_provide python2-libpagure}
 
-%description
-A Python library for Pagure APIs
+%description -n python2-libpagure %_description
 
 %if 0%{?with_python3}
 %package -n python3-libpagure
@@ -55,7 +62,7 @@ A Python library for Pagure APIs
     --install-data=%{_datadir} --root %{buildroot}
 %endif
 
-%files
+%files -n python2-libpagure
 %doc README.md
 %license LICENSE.txt
 %{python2_sitelib}/*
@@ -68,6 +75,10 @@ A Python library for Pagure APIs
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9-3
+- Python 2 subpackage renamed to python2-libpagure
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-libqutrub/python-libqutrub.spec python-libqutrub/python-libqutrub.spec.tmp
index 54faa81cd4..f99d4d2cd9 100644
--- python-libqutrub/python-libqutrub.spec
+++ python-libqutrub/python-libqutrub.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:				python-%{modname}
 Version:			1.0
-Release:			8%{?dist}
+Release:			9%{?dist}
 Summary:			Arabic verb conjuagtion library
 Summary(ar):		مكتبة تصريف الأفعال العربية
 License:			GPLv1
@@ -17,9 +17,17 @@ BuildArch:			noarch
 BuildRequires:		python2-devel
 BuildRequires:		python-setuptools
 
-%description
+%global _description\
 Arabic language verb conjuagtion library to be used by Python.
 
+%description %_description
+
+%package -n python2-%{modname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{modname}}
+
+%description -n python2-%{modname} %_description
+
 %description -l ar
 مكتبة تصريف أفعال اللّغة العربية، مخصّصة للاستخدام ضمن بيئة بيثون.
 
@@ -39,12 +47,16 @@ cp -p %{SOURCE2} ./PKG-INFO
 %install
 %{__python2} setup_lib.py install --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-%{modname}
 %doc PKG-INFO gpl-1.0.txt
 %{python2_sitelib}/%{modname}/
 %{python2_sitelib}/%{distname}-%{version}-py2.*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-9
+- Python 2 subpackage renamed to python2-libqutrub
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-libturpial/python-libturpial.spec python-libturpial/python-libturpial.spec.tmp
index 0b13abc638..bfd99d3301 100644
--- python-libturpial/python-libturpial.spec
+++ python-libturpial/python-libturpial.spec.tmp
@@ -2,7 +2,7 @@
 %{!?__python2: %global __python2 %{__python}}
 Name:           python-libturpial
 Version:        1.7.0
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Micro blogging python library, needed for turpial (twitter client)
 Group:          Applications/Internet
 License:        GPLv3
@@ -10,14 +10,22 @@ URL:            http://turpial.org.ve
 Source0:        https://github.com/satanas/libturpial/archive/%{version}.tar.gz#/libturpial-%{version}.tar.gz
 Patch0:         http.py.patch
 BuildRequires:  python-setuptools,python2-devel
-Requires:       python-oauth,python-simplejson,python-requests,ca-certificates
 BuildArch:      noarch
 
-%description
-libturpial is a library that handles multiple micro blogging protocols. It 
-implements a lot of features and aims to support all the features for each 
+%global _description\
+libturpial is a library that handles multiple micro blogging protocols. It\
+implements a lot of features and aims to support all the features for each\
 protocol. This library is the back-end used for Turpial.
 
+%description %_description
+
+%package -n python2-libturpial
+Summary: %summary
+Requires:       python-oauth,python-simplejson,python-requests,ca-certificates
+%{?python_provide:%python_provide python2-libturpial}
+
+%description -n python2-libturpial %_description
+
 %prep
 %setup -q -n libturpial-%{version} 
 %patch0 -p1
@@ -34,11 +42,15 @@ chmod 0644 ChangeLog AUTHORS COPYING
 mkdir -p %{buildroot}/%{python_sitelib}/tests/%{name}
 mv %{buildroot}/%{python_sitelib}/tests/*.py* %{buildroot}/%{python_sitelib}/tests/%{name}/
 
-%files  
+%files -n python2-libturpial
 %doc ChangeLog AUTHORS COPYING
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7.0-9
+- Python 2 subpackage renamed to python2-libturpial
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-Lightbox/python-Lightbox.spec python-Lightbox/python-Lightbox.spec.tmp
index c5f2072961..ed46a0fae7 100644
--- python-Lightbox/python-Lightbox.spec
+++ python-Lightbox/python-Lightbox.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-Lightbox
 Version:        2.1
-Release:        16%{?dist}
+Release:        17%{?dist}
 Summary:        Lightbox photo display widget
 
 Group:          Development/Libraries
@@ -16,17 +16,25 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 
 BuildRequires:  TurboGears python-devel
-Requires:       TurboGears
-Requires:       python-Scriptaculous
 
 
-%description
-Lightbox is a TurboGears widget wrapper for the Lightbox2 JavaScript
-library by Lokesh Dhakar.
-It displays a thumbnail image which, when clicked, opens an overlay
-popup window for viewing the linked image in full size.
+%global _description\
+Lightbox is a TurboGears widget wrapper for the Lightbox2 JavaScript\
+library by Lokesh Dhakar.\
+It displays a thumbnail image which, when clicked, opens an overlay\
+popup window for viewing the linked image in full size.\
 You can also browse through several Lightbox images that are grouped together
 
+%description %_description
+
+%package -n python2-lightbox
+Summary: %summary
+Requires:       python-Scriptaculous
+Requires:       TurboGears
+%{?python_provide:%python_provide python2-lightbox}
+
+%description -n python2-lightbox %_description
+
 %prep
 %setup -q -n Lightbox-%{version}
 %patch0 -p1
@@ -48,13 +56,17 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-lightbox
 %defattr(-,root,root,-)
 %doc README.txt PKG-INFO
 %{python_sitelib}/Lightbox-%{version}-py%{pyver}.egg-info
 %{python_sitelib}/lightbox/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1-17
+- Python 2 subpackage renamed to python2-lightbox
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-16
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-linecache2/python-linecache2.spec python-linecache2/python-linecache2.spec.tmp
index ca4b9248ca..7f85f7a50c 100644
--- python-linecache2/python-linecache2.spec
+++ python-linecache2/python-linecache2.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-%{pkgname}
 Version:        1.0.0
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Backport of the linecache module
 
 License:        Python
@@ -29,9 +29,17 @@ BuildRequires:  python3-fixtures
 BuildRequires:  python3-unittest2
 %endif # with python3
 
-%description
-A backport of linecache to older supported Pythons.
+%global _description\
+A backport of linecache to older supported Pythons.\
+
+
+%description %_description
 
+%package -n python2-%{pkgname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pkgname}}
+
+%description -n python2-%{pkgname} %_description
 
 %if %{with python3}
 %package     -n python3-%{pkgname}
@@ -99,7 +107,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-%{pkgname}
 # license not shipped by upstream
 %doc python2/AUTHORS python2/ChangeLog python2/README.rst
 %{python2_sitelib}/*
@@ -112,6 +120,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.0-11
+- Python 2 subpackage renamed to python2-linecache2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-linux-procfs/python-linux-procfs.spec python-linux-procfs/python-linux-procfs.spec.tmp
index 4947137896..be08d92d58 100644
--- python-linux-procfs/python-linux-procfs.spec
+++ python-linux-procfs/python-linux-procfs.spec.tmp
@@ -5,7 +5,7 @@
 
 Name: python-linux-procfs
 Version: 0.4.10
-Release: 3%{?dist}
+Release: 4%{?dist}
 License: GPLv2
 Summary: Linux /proc abstraction classes
 Group: System Environment/Libraries
@@ -15,9 +15,17 @@ BuildArch: noarch
 BuildRequires: python-devel
 BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 
-%description
+%global _description\
 Abstractions to extract information from the Linux kernel /proc files.
 
+%description %_description
+
+%package -n python2-linux-procfs
+Summary: %summary
+%{?python_provide:%python_provide python2-linux-procfs}
+
+%description -n python2-linux-procfs %_description
+
 %prep
 %setup -q
 
@@ -31,7 +39,7 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-linux-procfs
 %defattr(0755,root,root,0755)
 %{python_sitelib}/procfs/
 %defattr(0644,root,root,0755)
@@ -41,6 +49,10 @@ rm -rf %{buildroot}
 %doc COPYING
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.10-4
+- Python 2 subpackage renamed to python2-linux-procfs
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.10-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-listquote/python-listquote.spec python-listquote/python-listquote.spec.tmp
index 38f8c618a1..c922308c23 100644
--- python-listquote/python-listquote.spec
+++ python-listquote/python-listquote.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-listquote
 Version:        1.4.0
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        Functions for Lists, Quotes and CSVs
 License:        BSD
 URL:            http://www.voidspace.org.uk/python/listquote.html
@@ -18,14 +18,22 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 
 
-%description
-This module provides functions for turning lists into strings - and back again.
-It properly handles quoting and unquoting of elements and can even parse
-recursive lists.
+%global _description\
+This module provides functions for turning lists into strings - and back again.\
+It properly handles quoting and unquoting of elements and can even parse\
+recursive lists.\
+\
+Because a CSV (comma separated value) file is basically a list - the module\
+includes functions for easily reading and writing CSVs.\
 
-Because a CSV (comma separated value) file is basically a list - the module
-includes functions for easily reading and writing CSVs.
 
+%description %_description
+
+%package -n python2-listquote
+Summary: %summary
+%{?python_provide:%python_provide python2-listquote}
+
+%description -n python2-listquote %_description
 
 %prep
 %setup -q
@@ -53,11 +61,15 @@ python setup.py build
 python setup.py install -O1 --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-listquote
 %{python_sitelib}/listquote*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.0-12
+- Python 2 subpackage renamed to python2-listquote
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-lmiwbem/python-lmiwbem.spec python-lmiwbem/python-lmiwbem.spec.tmp
index d0f7708337..4c246d4b8e 100644
--- python-lmiwbem/python-lmiwbem.spec
+++ python-lmiwbem/python-lmiwbem.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-lmiwbem
 Version:        0.7.2
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Python WBEM Client
 License:        LGPLv2+
 URL:            https://github.com/phatina/python-lmiwbem
@@ -21,18 +21,25 @@ BuildRequires:  boost-python >= 1.50.0
 BuildRequires:  openslp-devel
 BuildRequires:  tog-pegasus-devel >= 2.12.0
 BuildRequires:  tog-pegasus-libs >= 2.12.0
-Requires:       boost-python >= 1.50.0
-Requires:       openslp
-Requires:       python
-Requires:       tog-pegasus-libs >= 2.12.0
 
-Provides:       lmiwbem         = %{version}-%{release}
-Provides:       lmiwbem%{?_isa} = %{version}-%{release}
+%global _description\
+%{name} is a Python library, which performs CIM operations using CIM-XML\
+protocol. The library tries to mimic PyWBEM.
+
+%description %_description
+
+%package -n python2-lmiwbem
+Summary: %summary
 Obsoletes:      lmiwbem <= 0.6.0-3
+Provides:       lmiwbem%{?_isa} = %{version}-%{release}
+Provides:       lmiwbem         = %{version}-%{release}
+Requires:       tog-pegasus-libs >= 2.12.0
+Requires:       python
+Requires:       openslp
+Requires:       boost-python >= 1.50.0
+%{?python_provide:%python_provide python2-lmiwbem}
 
-%description
-%{name} is a Python library, which performs CIM operations using CIM-XML
-protocol. The library tries to mimic PyWBEM.
+%description -n python2-lmiwbem %_description
 
 %if %{py3build}
 %package -n python3-lmiwbem
@@ -87,7 +94,7 @@ find %{buildroot} -name '*.la' | xargs rm -f
 popd
 %endif
 
-%files
+%files -n python2-lmiwbem
 %doc COPYING README.md
 %{python2_sitearch}/lmiwbem/
 
@@ -103,6 +110,10 @@ popd
 %{_docdir}/%{name}-%{version}/html
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.2-15
+- Python 2 subpackage renamed to python2-lmiwbem
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-lockfile/python-lockfile.spec python-lockfile/python-lockfile.spec.tmp
index a68122265f..28283a331b 100644
--- python-lockfile/python-lockfile.spec
+++ python-lockfile/python-lockfile.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-%{upstream_name}
 Version:        0.11.0
-Release:        7%{?dist}
+Release:        8%{?dist}
 Epoch:          1
 Summary:        A platform-independent file locking module
 
@@ -28,14 +28,22 @@ BuildRequires:  python3-nose
 BuildRequires:  python3-pbr
 %endif # with_python3
 
-%description
-The lockfile module exports a FileLock class which provides a simple API for
-locking files. Unlike the Windows msvcrt.locking function, the Unix
-fcntl.flock, fcntl.lockf and the deprecated posixfile module, the API is
-identical across both Unix (including Linux and Mac) and Windows platforms. The
-lock mechanism relies on the atomic nature of the link (on Unix) and mkdir (on
+%global _description\
+The lockfile module exports a FileLock class which provides a simple API for\
+locking files. Unlike the Windows msvcrt.locking function, the Unix\
+fcntl.flock, fcntl.lockf and the deprecated posixfile module, the API is\
+identical across both Unix (including Linux and Mac) and Windows platforms. The\
+lock mechanism relies on the atomic nature of the link (on Unix) and mkdir (on\
 Windows) system calls.
 
+%description %_description
+
+%package -n python2-lockfile
+Summary: %summary
+%{?python_provide:%python_provide python2-lockfile}
+
+%description -n python2-lockfile %_description
+
 %if 0%{?with_python3}
 %package -n python3-lockfile
 Summary:        A platform-independent file locking module
@@ -93,7 +101,7 @@ popd
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-lockfile
 %defattr(-,root,root,-)
 %doc ACKS AUTHORS LICENSE PKG-INFO README.rst RELEASE-NOTES doc/
 %{python_sitelib}/%{upstream_name}
@@ -108,6 +116,10 @@ rm -rf %{buildroot}
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:0.11.0-8
+- Python 2 subpackage renamed to python2-lockfile
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.11.0-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-logbook/python-logbook.spec python-logbook/python-logbook.spec.tmp
index 5a5edf898c..75c7a58ba4 100644
--- python-logbook/python-logbook.spec
+++ python-logbook/python-logbook.spec.tmp
@@ -15,7 +15,7 @@
 
 Name:		python-logbook
 Version:	1.0.0
-Release:	5%{?dist}
+Release:	6%{?dist}
 Summary:	A logging replacement for Python
 
 Group:		Development/Libraries
@@ -32,14 +32,22 @@ BuildRequires:	python3-sqlalchemy python3-zmq
 %endif
 BuildRequires:	python-setuptools
 
-%description
-Logbook is a logging system for Python that replaces the standard library’s
-logging module. It was designed with both complex and simple applications
-and mind and the idea to make logging fun. What makes it fun? What about 
-getting log messages on your phone or desktop notification system? 
-Logbook can do that.
+%global _description\
+Logbook is a logging system for Python that replaces the standard library’s\
+logging module. It was designed with both complex and simple applications\
+and mind and the idea to make logging fun. What makes it fun? What about\
+getting log messages on your phone or desktop notification system?\
+Logbook can do that.\
 
 
+%description %_description
+
+%package -n python2-logbook
+Summary: %summary
+%{?python_provide:%python_provide python2-logbook}
+
+%description -n python2-logbook %_description
+
 %if 0%{?with_python3}
 %package -n python3-logbook
 Summary:	A logging replacement for Python 3
@@ -95,7 +103,7 @@ popd
 #popd
 #%endif # with_python3
 
-%files
+%files -n python2-logbook
 %doc CHANGES
 %{python2_sitearch}/logbook*
 #%%exclude %%{python2_sitearch}/logbook/testsuite
@@ -110,6 +118,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.0-6
+- Python 2 subpackage renamed to python2-logbook
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-logging-tree/python-logging-tree.spec python-logging-tree/python-logging-tree.spec.tmp
index e41c64c24f..b316d3e2d0 100644
--- python-logging-tree/python-logging-tree.spec
+++ python-logging-tree/python-logging-tree.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:               python-logging-tree
 Version:            1.7
-Release:            5%{?dist}
+Release:            6%{?dist}
 Summary:            Introspect and display the logger tree inside "logging"
 
 Group:              Development/Libraries
@@ -27,31 +27,39 @@ BuildRequires:      python3-devel
 BuildRequires:      python3-nose
 %endif
 
-%description
-Introspection for the ``logging`` logger tree in the Standard Library.
+%global _description\
+Introspection for the ``logging`` logger tree in the Standard Library.\
+\
+While you can write programs that call this package's ``tree()``\
+function and examine the hierarchy of logger objects that it finds\
+inside of the Standard Library ``logging`` module, the simplest use of\
+this package for debugging is to call ``printout()`` to print the\
+loggers, filters, and handlers that your application has configured::\
+\
+    >>> logging.getLogger('a')\
+    >>> logging.getLogger('a.b').setLevel(logging.DEBUG)\
+    >>> logging.getLogger('x.c')\
+    >>> from logging_tree import printout\
+    >>> printout()\
+       ""\
+       Level WARNING\
+       |\
+       o<--"a"\
+       |   |\
+       |   o<--"a.b"\
+       |       Level DEBUG\
+       |\
+       o<--[x]\
+           |\
+           o<--"x.c"
 
-While you can write programs that call this package's ``tree()``
-function and examine the hierarchy of logger objects that it finds
-inside of the Standard Library ``logging`` module, the simplest use of
-this package for debugging is to call ``printout()`` to print the
-loggers, filters, and handlers that your application has configured::
+%description %_description
 
-    >>> logging.getLogger('a')
-    >>> logging.getLogger('a.b').setLevel(logging.DEBUG)
-    >>> logging.getLogger('x.c')
-    >>> from logging_tree import printout
-    >>> printout()
-       ""
-       Level WARNING
-       |
-       o<--"a"
-       |   |
-       |   o<--"a.b"
-       |       Level DEBUG
-       |
-       o<--[x]
-           |
-           o<--"x.c"
+%package -n python2-logging-tree
+Summary: %summary
+%{?python_provide:%python_provide python2-logging-tree}
+
+%description -n python2-logging-tree %_description
 
 %if 0%{?with_python3}
 %package -n python3-logging-tree
@@ -120,7 +128,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-logging-tree
 # There is no LICENSE or README shipped with the package.
 # There are docstrings in the code itself, though.
 # https://github.com/brandon-rhodes/logging_tree/pull/1
@@ -135,6 +143,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7-6
+- Python 2 subpackage renamed to python2-logging-tree
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-logutils/python-logutils.spec python-logutils/python-logutils.spec.tmp
index c6c5475c72..33fcc2747f 100644
--- python-logutils/python-logutils.spec
+++ python-logutils/python-logutils.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:               python-%{modname}
 Version:            0.3.4
-Release:            2%{?dist}
+Release:            3%{?dist}
 Summary:            Logging utilities
 
 Group:              Development/Libraries
@@ -22,15 +22,23 @@ BuildRequires:      python2-devel
 BuildRequires:      python3-devel
 %endif
 
-%description
-The logutils package provides a set of handlers for the Python standard
-library's logging package.
-
-Some of these handlers are out-of-scope for the standard library, and so
-they are packaged here. Others are updated versions which have appeared in
-recent Python releases, but are usable with older versions of Python and so
+%global _description\
+The logutils package provides a set of handlers for the Python standard\
+library's logging package.\
+\
+Some of these handlers are out-of-scope for the standard library, and so\
+they are packaged here. Others are updated versions which have appeared in\
+recent Python releases, but are usable with older versions of Python and so\
 are packaged here.
 
+%description %_description
+
+%package -n python2-logutils
+Summary: %summary
+%{?python_provide:%python_provide python2-logutils}
+
+%description -n python2-logutils %_description
+
 %if 0%{?with_python3}
 %package -n python3-logutils
 Summary:            Logging utilities
@@ -79,7 +87,7 @@ pushd %{py3dir}
 %{__python3} setup.py test
 %endif
 
-%files
+%files -n python2-logutils
 %license LICENSE.txt
 %doc README.rst NEWS.txt doc/
 %{python_sitelib}/%{modname}/
@@ -94,6 +102,10 @@ pushd %{py3dir}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.4-3
+- Python 2 subpackage renamed to python2-logutils
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ly/python-ly.spec python-ly/python-ly.spec.tmp
index cb406fe363..24aba08558 100644
--- python-ly/python-ly.spec
+++ python-ly/python-ly.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-ly
 Version:        0.9.5
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Tool and library for manipulating LilyPond files
 
 License:        GPLv2+
@@ -19,15 +19,23 @@ BuildRequires: python3-devel
 BuildRequires: python3-setuptools
 %endif
 BuildRequires: python-setuptools
-Requires:       python-setuptools
-Requires:       tkinter
 
-%description
-This package provides a Python library ly containing various Python modules
-to parse, manipulate or create documents in LilyPond format. A command line
-program ly is also provided that can be used to do various manipulations
+%global _description\
+This package provides a Python library ly containing various Python modules\
+to parse, manipulate or create documents in LilyPond format. A command line\
+program ly is also provided that can be used to do various manipulations\
 with LilyPond files.
 
+%description %_description
+
+%package -n python2-ly
+Summary: %summary
+Requires:       tkinter
+Requires:       python-setuptools
+%{?python_provide:%python_provide python2-ly}
+
+%description -n python2-ly %_description
+
 %if 0%{?with_python3}
 %package -n python3-ly
 Summary:        Tool and library for manipulating LilyPond files
@@ -79,7 +87,7 @@ popd
            --install-data=%{_datadir}
 
 
-%files
+%files -n python2-ly
 %doc ChangeLog README.rst doc/build/html/
 %{python2_sitelib}/*
 
@@ -92,6 +100,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.5-4
+- Python 2 subpackage renamed to python2-ly
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-lyricwiki/python-lyricwiki.spec python-lyricwiki/python-lyricwiki.spec.tmp
index 83f6eddd62..29679203c8 100644
--- python-lyricwiki/python-lyricwiki.spec
+++ python-lyricwiki/python-lyricwiki.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:		python-%{realname}
 Version:	0.1.35
-Release:	13%{?dist}
+Release:	14%{?dist}
 Summary:	A Python interface to the http://lyrics.wikia.com
 Group:		Development/Languages
 License:	GPLv2+
@@ -13,11 +13,19 @@ BuildRequires:	python-setuptools
 BuildArch:	noarch
 
 
-%description
-A Python interface which provides simple access to lyrics from
-http://lyrics.wikia.com
+%global _description\
+A Python interface which provides simple access to lyrics from\
+http://lyrics.wikia.com\
 
 
+%description %_description
+
+%package -n python2-%{realname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{realname}}
+
+%description -n python2-%{realname} %_description
+
 %prep
 %setup -q -n %{realname}-%{version}
 
@@ -30,12 +38,16 @@ http://lyrics.wikia.com
 %py_install
 
 
-%files
+%files -n python2-%{realname}
 %license COPYING
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.35-14
+- Python 2 subpackage renamed to python2-lyricwiki
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.35-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-lzo/python-lzo.spec python-lzo/python-lzo.spec.tmp
index 5b2221ec61..b37b7c2725 100644
--- python-lzo/python-lzo.spec
+++ python-lzo/python-lzo.spec.tmp
@@ -7,7 +7,7 @@
 Summary:	LZO bindings for Python
 Name:		python-lzo
 Version:	1.09
-Release:	6%{?dist}
+Release:	7%{?dist}
 Source0:	https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
 URL:		http://www.oberhumer.com/opensource/lzo/
 License:	GPLv2+
@@ -21,10 +21,17 @@ BuildRequires:	python3-setuptools
 BuildRequires:	python3-devel
 %endif
 
+%global _description\
+Python-LZO provides Python bindings for the LZO data compression library.
+
+%description %_description
+
+%package -n python2-lzo
+Summary: %summary
 Provides: python2-lzo
+%{?python_provide:%python_provide python2-lzo}
 
-%description
-Python-LZO provides Python bindings for the LZO data compression library.
+%description -n python2-lzo %_description
 
 %if 0%{?with_python3}
 %package -n python3-lzo
@@ -74,7 +81,7 @@ PYTHONPATH=%{buildroot}/%{python3_sitearch} %{__python3} ./test.py
 popd
 %endif
 
-%files
+%files -n python2-lzo
 %{!?_licensedir:%global license %%doc}
 %license COPYING
 %doc NEWS
@@ -87,6 +94,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.09-7
+- Python 2 subpackage renamed to python2-lzo
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.09-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
